/*  Autopackage GTK+ frontend
 *  Copyright (C) 2003  Hongli Lai <h.lai@chello.nl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* Because it's currently impossible to override Nautilus's shell script MIME type detection,
   we associate this program to text/x-sh. It checks whether argv[1] is an Autopackage.
   If it is, launch the Autopackage launcher.
   If it isn't, launch it in Nautilus. */

#include <glib.h>
#include <unistd.h>
#include "package.h"


int
main (int argc, char *argv[])
{
	PackageInfo *info;

	if (!argv[1] || !g_file_test (argv[1], G_FILE_TEST_EXISTS))
		return 1;

	info = package_info_load (argv[1]);
	if (info)
	{
		package_info_free (info);
		execlp ("autopackage-launcher-gtk", "autopackage-launcher-gtk", argv[1], NULL);
	} else
		execlp ("nautilus", "nautilus", argv[1], NULL);
	return 0;
}
